GameDevToolset for Linux?

   742   5   1
User Avatar
Member
68 posts
Joined: May 2015
Offline
Hi Guys,

is the GameDevToolset available for Linux?

When trying the autodownload inside of Houdini i get an error message. Checking the Github made me realize there is only talk about Win and Mac OS.

Is there a workaround to get these tools going on Linux.

I am also new to Linux so i might be missing something super obvious. I really hope i will be able to get my hands on these tools again as soon as possible.

Thanks for all the hard work.
User Avatar
Staff
204 posts
Joined: Sept. 2016
Offline
Hi,

The GameDevToolset also works on Linux.
If the updater fails for you, you can try the manual installation process described on the github:

Download the toolset and unzip them in your houdini home folder.
On Linux, that folder should be:
~/houdini16.5

What is the error that you get from the updater?
User Avatar
Member
68 posts
Joined: May 2015
Offline
Hi,

thanks so much for the message. I will need to check later to see what the error was. But i only tried the Updater.

Since that failed i just assumed it might not be working under Linux, but this great news!

I will update here later and share the message i am getting!

Thanks so much!
User Avatar
Member
68 posts
Joined: May 2015
Offline
dpernuit
Hi,

The GameDevToolset also works on Linux.
If the updater fails for you, you can try the manual installation process described on the github:

Download the toolset and unzip them in your houdini home folder.
On Linux, that folder should be:
~/houdini16.5

What is the error that you get from the updater?

Here is the message that is prompted when using the Update Toolset button under Linux:

Traceback (most recent call last):
File “update_toolset”, line 178, in <module>
File “update_toolset”, line 24, in __init__
File “update_toolset”, line 28, in get_releases
File “/usr/lib/python2.7/urllib.py”, line 87, in urlopen
return opener.open(url)
File “/usr/lib/python2.7/urllib.py”, line 213, in open
return getattr(self, name)(url)
File “/usr/lib/python2.7/urllib.py”, line 431, in open_https
context=self.context)
File “/usr/lib/python2.7/httplib.py”, line 1301, in __init__
context=context))
File “/usr/lib/python2.7/httplib.py”, line 1262, in __init__
context = ssl._create_default_https_context()
AttributeError: ‘module’ object has no attribute ‘_create_default_https_context’


————————————————-

This is without installing the Toolset prior.

In Windows i remember you could update or even install the Toolset via this new Button.

After unzipping the folder in the houdini16.5 folder unfotunately it still does not work. Still only shows the Installer button, but then the same message pops up!

Thank you for your help - hopefully we can get it to work! Really great tools!

P.S.: It is probably me though - i am really new Linux so i might be missing something very obvious!
Edited by powerstroke3000 - Dec. 23, 2017 06:22:16
User Avatar
Member
68 posts
Joined: May 2015
Offline
Hi,

so as mentioned in another thread - it seems there is still something wrong with the update button.

Manual installation worked for me as well!

Using the auto update will not work though and if you press that button it basically destroys everything and i would have to reinstall the tools again.

But when not pushing the auto update at least it works. So hopefully that thing could be fixed and then everything would be perfect again!
User Avatar
Member
189 posts
Joined: June 2016
Offline
I was having a problem as well. I needed to remove the old GameDevToolset path that I had manually set in my houdini.env file.
  • Quick Links